Skip to main content
Platform Operations/Platform Federation
GETPlatformSince 1.0SynchronousAuth Required

GetStaleReport

Get a stale data report showing which clusters have outdated sync data.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • groupIdStringRequired

    ID of the cluster group to get the stale data report for

Responses

200 OK

On success, this API returns the following response structure.

  • generatedAtString

    Generated at

    Example: 2026-01-15T08:00:00Z

  • totalClustersInteger

    Total number of clusters evaluated

    Example: 10

  • staleClustersInteger

    Number of clusters with stale data

    Example: 2

  • stalePercentLong

    Percentage of clusters that are stale (0.0 to 100.0)

    Example: 20

  • clusterFreshnessLinkedHashMap

    Cluster data freshness indicator timestamp

    Example: (nested object)

    • *Object

      Map value

Endpoint

GET/api/v1/federation/cluster-groups/{groupId}/stale-report

/api/v1/federation/cluster-groups/{groupId}/stale-report

Operation ID

GetStaleReport

Permalink

Request Example

curl -X GET '{host}/api/v1/federation/cluster-groups/{groupId}/stale-report' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "generatedAt": "example",
  "totalClusters": 10,
  "staleClusters": 2,
  "stalePercent": 20.0,
  "clusterFreshness": null
}

Change History

This API has no change history records yet.

View all change history